Bug 2083 - russian install results in broken console cyrillic
: russian install results in broken console cyrillic
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/initscripts)
: unstable
: all Linux
: P3 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2003-01-28 04:42 by
Modified: 2003-08-25 15:18 (History)


Attachments
0002083-setsysfont (3.15 KB, application/octet-stream)
2003-02-07 19:33, Michael Shigorin
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-01-28 04:42:36
something in initscripts and/or console-tools seems to be broken.  Just switch
to console and try to use cyrillic.
---

---
hopefully will investigate...

btw, by selecting CapsLock as a switch we deprive ourselves of console cyrillic
switch. ;o]
------- Comment #1 From 2003-02-04 00:00:45 -------
What does \'broken cyrillic\' mean? No glyphs?
------- Comment #2 From 2003-02-04 00:00:45 -------
What does \'broken cyrillic\' mean? No glyphs?
------- Comment #3 From 2003-02-04 00:05:11 -------
Where do you select the CapsLock switch? We have
/usr/lib/kbd/keymaps/i386/qwerty/ruwin_cplk.kmap.gz -- does work?
------- Comment #4 From 2003-02-04 00:05:11 -------
Where do you select the CapsLock switch? We have
/usr/lib/kbd/keymaps/i386/qwerty/ruwin_cplk.kmap.gz -- does work?
------- Comment #5 From 2003-02-04 00:05:55 -------
For me, it works.
------- Comment #6 From 2003-02-04 00:05:55 -------
For me, it works.
------- Comment #7 From 2003-02-06 17:39:32 -------
works after explicit load.  But just try to install fresh ALM2, afair there
were problems with cyrillic console out-of-box since Spring2001 till ALM2
independent of selected trigger key.

seems I\'ve been \"solving\" that by explicit copying of
keymap/charmap/font somewhere under /etc/sysconfig (after investigating
/etc/rc.d/rc.sysinit and/or /sbin/setsysfont), don\'t remember for sure.
------- Comment #8 From 2003-02-06 17:39:32 -------
works after explicit load.  But just try to install fresh ALM2, afair there
were problems with cyrillic console out-of-box since Spring2001 till ALM2
independent of selected trigger key.

seems I\'ve been \"solving\" that by explicit copying of
keymap/charmap/font somewhere under /etc/sysconfig (after investigating
/etc/rc.d/rc.sysinit and/or /sbin/setsysfont), don\'t remember for sure.
------- Comment #9 From 2003-02-06 19:00:50 -------
There are 2 issues in your report -- to be clear:

1. broken cyrillic in console (no glyphs as far as I understand)
2. the Caps swicth doen\'t work

1. looks like #0001048, I\'m thinking about it.
2. Why doesn\'t it work? The keymap file is there, it works. Is it a problem of the installer or drakconf who don\'t know that it is there? Or again, a problem of initscripts which do not load it (whereby manual loading works)? Then it should be valid for any keymap, not specific to the Caps switch.

edited on: 06-02 19:02
------- Comment #10 From 2003-02-06 19:00:50 -------
There are 2 issues in your report -- to be clear:

1. broken cyrillic in console (no glyphs as far as I understand)
2. the Caps swicth doen\'t work

1. looks like #0001048, I\'m thinking about it.
2. Why doesn\'t it work? The keymap file is there, it works. Is it a problem of the installer or drakconf who don\'t know that it is there? Or again, a problem of initscripts which do not load it (whereby manual loading works)? Then it should be valid for any keymap, not specific to the Caps switch.

edited on: 06-02 19:02
------- Comment #11 From 2003-02-07 19:35:33 -------
Could you please test the attached /sbin/setsysfont. Does it fix the problems?
------- Comment #12 From 2003-02-07 19:35:33 -------
Could you please test the attached /sbin/setsysfont. Does it fix the problems?
------- Comment #13 From 2003-04-20 02:01:33 -------
Should be fixed in 5.49-ipl50mdk
------- Comment #14 From 2003-04-20 02:01:33 -------
Should be fixed in 5.49-ipl50mdk